# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'log_timer/version'

Gem::Specification.new do |spec|
  spec.name          = 'log_timer'
  spec.version       = LogTimer::VERSION
  spec.authors       = ['Gerrit Visscher']
  spec.email         = ['g.visscher@core4.de']

  spec.summary       = 'Checks if log files have been changed recently'
  spec.description   = 'If a service crashed silently, chances are, it does not write to its logs for a while. This '\
                       'gem checks a list of log files if they changed recently and alerts you if a file is older '\
                       'than the given limit.'
  spec.homepage      = 'https://github.com/CORE4/log_timer'
  spec.license       = 'MIT'

  rejected_files = %w(bin/setup bin/console Rakefile .travis.yml .rspec)
  git_files = `git ls-files -z`.split("\x0")

  spec.files         = git_files.reject { |f| f.match(%r{^(test|spec|features)/}) || rejected_files.include?(f) }
  spec.bindir        = 'bin'
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'chronic_duration', '~> 0.10', '>= 0.10.6'
  spec.add_runtime_dependency 'activesupport', '~> 5.0', '>= 5.0.0'

  spec.add_development_dependency 'bundler', '~> 1.11'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
end
